diff options
author | 2007-01-05 12:03:30 +0000 | |
---|---|---|
committer | 2007-01-05 12:03:30 +0000 | |
commit | 4dadb359042e895cf7af8956d3aca7b310828ca6 (patch) | |
tree | 17cc5aa5ab32c5452cca117170b80f50247a47b4 /dev-db/mysql/mysql-4.0.27-r1.ebuild | |
parent | Mask app-emacs/gnuplot-mode for removal (diff) | |
download | historical-4dadb359042e895cf7af8956d3aca7b310828ca6.tar.gz historical-4dadb359042e895cf7af8956d3aca7b310828ca6.tar.bz2 historical-4dadb359042e895cf7af8956d3aca7b310828ca6.zip |
force revision bump, needed to fix/discover bugs introuduced during last working days.
Package-Manager: portage-2.1.2_rc4-r1
Diffstat (limited to 'dev-db/mysql/mysql-4.0.27-r1.ebuild')
-rw-r--r-- | dev-db/mysql/mysql-4.0.27-r1.ebuild | 34 |
1 files changed, 34 insertions, 0 deletions
diff --git a/dev-db/mysql/mysql-4.0.27-r1.ebuild b/dev-db/mysql/mysql-4.0.27-r1.ebuild new file mode 100644 index 000000000000..0ced8a8128e6 --- /dev/null +++ b/dev-db/mysql/mysql-4.0.27-r1.ebuild @@ -0,0 +1,34 @@ +# Copyright 1999-2007 Gentoo Foundation +# Distributed under the terms of the GNU General Public License v2 +# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/mysql-4.0.27-r1.ebuild,v 1.1 2007/01/05 12:03:30 vivo Exp $ + +MY_EXTRAS_VER="20070105" +SERVER_URI="mirror://mysql/Downloads/MySQL-${PV%.*}/mysql-${PV//_/-}.tar.gz" + +inherit mysql + +#REMEMBER!!!: update also eclass/mysql*.eclass prior to commit +KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 s390 sh sparc x86" + +src_test() { + cd "${S}" + einfo ">>> Test phase [check]: ${CATEGORY}/${PF}" + make check || die "make check failed" + if ! useq "minimal" ; then + einfo ">>> Test phase [test]: ${CATEGORY}/${PF}" + local retstatus + addpredict /this-dir-does-not-exist/t9.MYI + + cd mysql-test + sed -i -e "s|PORT=3306|PORT=3307|g" mysql-test-run + ./mysql-test-run + retstatus=$? + + # Just to be sure ;) + pkill -9 -f "${S}/ndb" 2>/dev/null + pkill -9 -f "${S}/sql" 2>/dev/null + [[ $retstatus -eq 0 ]] || die "make test failed" + else + einfo "Skipping server tests due to minimal build." + fi +} |